Activity log for bug #1573188

Date Who What changed Old value New value Message
2016-04-21 18:46:35 Kyle Fazzari bug added bug
2016-04-21 19:01:35 Jamie Strandboge snappy: status New Incomplete
2016-04-21 19:27:28 Jamie Strandboge snappy: status Incomplete Triaged
2016-04-21 19:27:31 Jamie Strandboge snappy: assignee Jamie Strandboge (jdstrand)
2016-04-21 19:27:33 Jamie Strandboge snappy: importance Undecided High
2016-04-21 19:27:45 Jamie Strandboge bug task added snapd (Ubuntu)
2016-04-21 19:27:58 Jamie Strandboge tags snapd-interface
2016-04-21 19:28:06 Jamie Strandboge snapd (Ubuntu): status New Confirmed
2016-04-21 21:54:42 Jamie Strandboge snappy: status Triaged Incomplete
2016-04-22 16:59:12 Kyle Fazzari description Using the "unity7" interface, it seems that the dbus access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). Using the "unity7" interface, it seems that the dbus access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). To duplicate: 1) Build/install the Qt systray example snap here: https://github.com/kyrofa/systray-example-snap 2) Install without devmode, e.g. sudo snap install systray_1_amd64.snap 3) Launch from the terminal with the `systray` command. 4) Click "Show Message". 5) Note the presence of a launcher icon, the lack of an indicator, and a very ugly notification, like this: http://pasteboard.co/nF8fKsP.png 6) Uninstall the snap: sudo snap remove systray 7) Install the snap with devmode, e.g. sudo snap install --devmode systray_1_amd64.snap 8) Launch from the terminal again. 9) Click "Show Message". 10) Note the presence of a launcher icon, the presence of an indicator (with a broken icon, but that may be a different issue), and a pretty notification, like this: http://pasteboard.co/nFoPlFh.png
2016-04-22 17:02:21 Kyle Fazzari description Using the "unity7" interface, it seems that the dbus access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). To duplicate: 1) Build/install the Qt systray example snap here: https://github.com/kyrofa/systray-example-snap 2) Install without devmode, e.g. sudo snap install systray_1_amd64.snap 3) Launch from the terminal with the `systray` command. 4) Click "Show Message". 5) Note the presence of a launcher icon, the lack of an indicator, and a very ugly notification, like this: http://pasteboard.co/nF8fKsP.png 6) Uninstall the snap: sudo snap remove systray 7) Install the snap with devmode, e.g. sudo snap install --devmode systray_1_amd64.snap 8) Launch from the terminal again. 9) Click "Show Message". 10) Note the presence of a launcher icon, the presence of an indicator (with a broken icon, but that may be a different issue), and a pretty notification, like this: http://pasteboard.co/nFoPlFh.png Using the "unity7" interface, it seems that the access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). To duplicate: 1) Build/install the Qt systray example snap here: https://github.com/kyrofa/systray-example-snap 2) Install without devmode, e.g. sudo snap install systray_1_amd64.snap 3) Launch from the terminal with the `systray` command. 4) Click "Show Message". 5) Note the presence of a launcher icon, the lack of an indicator, and a very ugly notification, like this: http://pasteboard.co/nF8fKsP.png 6) Uninstall the snap: sudo snap remove systray 7) Install the snap with devmode, e.g. sudo snap install --devmode systray_1_amd64.snap 8) Launch from the terminal again. 9) Click "Show Message". 10) Note the presence of a launcher icon, the presence of an indicator (with a broken icon, but that may be a different issue), and a pretty notification, like this: http://pasteboard.co/nFoPlFh.png
2016-04-25 12:34:57 Kyle Fazzari snappy: status Incomplete Confirmed
2016-04-25 17:53:39 Kyle Fazzari description Using the "unity7" interface, it seems that the access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). To duplicate: 1) Build/install the Qt systray example snap here: https://github.com/kyrofa/systray-example-snap 2) Install without devmode, e.g. sudo snap install systray_1_amd64.snap 3) Launch from the terminal with the `systray` command. 4) Click "Show Message". 5) Note the presence of a launcher icon, the lack of an indicator, and a very ugly notification, like this: http://pasteboard.co/nF8fKsP.png 6) Uninstall the snap: sudo snap remove systray 7) Install the snap with devmode, e.g. sudo snap install --devmode systray_1_amd64.snap 8) Launch from the terminal again. 9) Click "Show Message". 10) Note the presence of a launcher icon, the presence of an indicator (with a broken icon, but that may be a different issue), and a pretty notification, like this: http://pasteboard.co/nFoPlFh.png Using the "unity7" interface, it seems that the access required to utilize indicators or display notifications is not granted (note that installing with --devmode works). To duplicate: 1) Build/install the Qt systray example snap here: https://github.com/kyrofa/qt-example-snaps/tree/master/systray 2) Install without devmode, e.g. sudo snap install systray_1_amd64.snap 3) Launch from the terminal with the `systray` command. 4) Click "Show Message". 5) Note the presence of a launcher icon, the lack of an indicator, and a very ugly notification, like this: http://pasteboard.co/nF8fKsP.png 6) Uninstall the snap: sudo snap remove systray 7) Install the snap with devmode, e.g. sudo snap install --devmode systray_1_amd64.snap 8) Launch from the terminal again. 9) Click "Show Message". 10) Note the presence of a launcher icon, the presence of an indicator (with a broken icon, but that may be a different issue), and a pretty notification, like this: http://pasteboard.co/nFoPlFh.png
2016-05-04 14:31:54 Jamie Strandboge snappy: status Confirmed In Progress
2016-05-13 13:04:19 Sebastien Bacher tags snapd-interface snap-desktop-issue snapd-interface
2016-05-13 16:48:34 Jamie Strandboge snapd (Ubuntu): status Confirmed Triaged
2016-05-19 21:25:33 Brian Murray nominated for series Ubuntu Xenial
2016-05-19 21:25:33 Brian Murray bug task added snapd (Ubuntu Xenial)
2016-05-19 21:29:36 Brian Murray snapd (Ubuntu Xenial): status New Fix Committed
2016-05-19 21:29:38 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2016-05-19 21:29:44 Brian Murray bug added subscriber SRU Verification
2016-05-19 21:29:47 Brian Murray tags snap-desktop-issue snapd-interface snap-desktop-issue snapd-interface verification-needed
2016-05-20 17:27:58 Jamie Strandboge snappy: status In Progress Fix Released
2016-05-20 17:28:43 Jamie Strandboge snapd (Ubuntu Xenial): importance Undecided High
2016-05-20 17:28:44 Jamie Strandboge snapd (Ubuntu): importance Undecided High
2016-05-20 17:29:41 Jamie Strandboge snapd (Ubuntu): status Triaged Fix Committed
2016-05-25 20:37:20 Jamie Strandboge tags snap-desktop-issue snapd-interface verification-needed snap-desktop-issue snapd-interface verification-done
2016-05-30 19:41:57 Launchpad Janitor snapd (Ubuntu Xenial): status Fix Committed Fix Released
2016-05-30 19:42:07 Adam Conrad removed subscriber Ubuntu Stable Release Updates Team
2016-06-14 11:19:41 Josué bug added subscriber Josué
2016-07-27 08:02:00 Launchpad Janitor snapd (Ubuntu): status Fix Committed Fix Released